diff -Nru exim4-4.71/debian/changelog exim4-4.71/debian/changelog
--- exim4-4.71/debian/changelog	2009-12-12 13:24:46.000000000 +0100
+++ exim4-4.71/debian/changelog	2009-12-27 21:10:09.000000000 +0100
@@ -1,3 +1,10 @@
+exim4 (4.71-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Include authenticated_id symbol local_scan.h exports list.
+
+ -- Daniel Hess <daniel@rio-grande.ping.de>  Sun, 27 Dec 2009 21:02:21 +0100
+
 exim4 (4.71-2) unstable; urgency=low
 
   * Pulled from upstream: 20_PDKIM-Upgrade-PolarSSL.diff. Update files copied
diff -Nru exim4-4.71/debian/patches/50_localscan_dlopen.dpatch exim4-4.71/debian/patches/50_localscan_dlopen.dpatch
--- exim4-4.71/debian/patches/50_localscan_dlopen.dpatch	2009-12-12 12:53:45.000000000 +0100
+++ exim4-4.71/debian/patches/50_localscan_dlopen.dpatch	2009-12-27 21:12:53.000000000 +0100
@@ -263,7 +263,17 @@
  #include "config.h"
  #include "mytypes.h"
  #include "store.h"
-@@ -192,4 +193,6 @@ extern uschar *string_copy(uschar *);
+@@ -161,6 +162,9 @@
+ extern BOOL    smtp_batched_input;     /* TRUE if SMTP batch (no interaction) */
+ extern BOOL    smtp_input;             /* TRUE if input is via SMTP */
+ 
++/* General global variables usable for local_scan function */
++
++extern uschar *authenticated_id;       /* ID that was authenticated */
+ 
+ /* Functions that are documented as visible in local_scan(). */
+ 
+@@ -192,4 +196,6 @@
  extern uschar *string_copyn(uschar *, int);
  extern uschar *string_sprintf(char *, ...);
  
diff -Nru exim4-4.71/debian/patches/debian-changes-4.71-2.1 exim4-4.71/debian/patches/debian-changes-4.71-2.1
--- exim4-4.71/debian/patches/debian-changes-4.71-2.1	1970-01-01 01:00:00.000000000 +0100
+++ exim4-4.71/debian/patches/debian-changes-4.71-2.1	2009-12-27 21:16:16.000000000 +0100
@@ -0,0 +1,37 @@
+Description: Upstream changes introduced in version 4.71-2.1
+ This patch has been created by dpkg-source during the package build.
+ Here's the last changelog entry, hopefully it gives details on why
+ those changes were made:
+ .
+ exim4 (4.71-2.1) unstable; urgency=low
+ .
+   * Non-maintainer upload.
+   * Include authenticated_id symbol local_scan.h exports list.
+ .
+ The person named in the Author field signed this changelog entry.
+Author: Daniel Hess <daniel@rio-grande.ping.de>
+
+---
+The information above should follow the Patch Tagging Guidelines, please
+checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
+are templates for supplementary fields that you might want to add:
+
+Origin: <vendor|upstream|other>, <url of original patch>
+Bug: <url in upstream bugtracker>
+Bug-Debian: http://bugs.debian.org/<bugnumber>
+Forwarded: <no|not-needed|url proving that it has been forwarded>
+Reviewed-By: <name and email of someone who approved the patch>
+Last-Update: <YYYY-MM-DD>
+
+--- exim4-4.71.orig/src/local_scan.h
++++ exim4-4.71/src/local_scan.h
+@@ -162,9 +162,6 @@ extern int     sender_host_port;       /
+ extern BOOL    smtp_batched_input;     /* TRUE if SMTP batch (no interaction) */
+ extern BOOL    smtp_input;             /* TRUE if input is via SMTP */
+ 
+-/* General global variables usable for local_scan function */
+-
+-extern uschar *authenticated_id;       /* ID that was authenticated */
+ 
+ /* Functions that are documented as visible in local_scan(). */
+ 
diff -Nru exim4-4.71/debian/patches/series exim4-4.71/debian/patches/series
--- exim4-4.71/debian/patches/series	2009-12-12 12:53:45.000000000 +0100
+++ exim4-4.71/debian/patches/series	2009-12-27 21:16:16.000000000 +0100
@@ -9,3 +9,4 @@
 60_convert4r4.dpatch
 66_enlarge-dh-parameters-size.dpatch
 70_remove_exim-users_references.dpatch
+debian-changes-4.71-2.1
